-- Test payment_account_type_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(23);

set search_path to numerus, public;

select has_table('payment_account_type_i18n');
select has_pk('payment_account_type_i18n');
select col_is_pk('payment_account_type_i18n', array['payment_account_type', 'lang_tag']);
select table_privs_are('payment_account_type_i18n', 'guest', array []::text[]);
select table_privs_are('payment_account_type_i18n', 'invoicer', array ['SELECT']);
select table_privs_are('payment_account_type_i18n', 'admin', array ['SELECT']);
select table_privs_are('payment_account_type_i18n', 'authenticator', array []::text[]);

select has_column('payment_account_type_i18n', 'payment_account_type');
select col_is_fk('payment_account_type_i18n', 'payment_account_type');
select fk_ok('payment_account_type_i18n', 'payment_account_type', 'payment_account_type', 'payment_account_type');
select col_type_is('payment_account_type_i18n', 'payment_account_type', 'text');
select col_not_null('payment_account_type_i18n', 'payment_account_type');
select col_hasnt_default('payment_account_type_i18n', 'payment_account_type');

select has_column('payment_account_type_i18n', 'lang_tag');
select col_is_fk('payment_account_type_i18n', 'lang_tag');
select fk_ok('payment_account_type_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('payment_account_type_i18n', 'lang_tag', 'text');
select col_not_null('payment_account_type_i18n', 'lang_tag');
select col_hasnt_default('payment_account_type_i18n', 'lang_tag');

select has_column('payment_account_type_i18n', 'name');
select col_type_is('payment_account_type_i18n', 'name', 'text');
select col_not_null('payment_account_type_i18n', 'name');
select col_hasnt_default('payment_account_type_i18n', 'name');


select *
from finish();

rollback;

